## START: Set by rpmautospec
## (rpmautospec version 0.2.5)
%define autorelease(e:s:pb:) %{?-p:0.}%{lua:
    release_number = 3;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{?dist}
## END: Set by rpmautospec

# Run the tests by default
%bcond_without tests

Name:           libuv
Epoch:          1
Version:        1.44.2
Release:        %autorelease
Summary:        Platform layer for node.js

# the licensing breakdown is described in detail in the LICENSE file
License:        MIT and BSD and ISC
URL:            http://libuv.org/
Source0:        http://dist.libuv.org/dist/v%{version}/libuv-v%{version}.tar.gz
Source2:        %{name}.pc.in
Source3:        libuv.abignore

BuildRequires:  autoconf automake libtool
BuildRequires:  gcc
BuildRequires: make

# -- Patches -- #

# Disable some tests that fail in the network-free Koji builders
Patch0001: 0001-Fedora-Skip-tests-that-can-t-run-in-Koji.patch

%description
libuv is a new platform layer for Node. Its purpose is to abstract IOCP on
Windows and libev on Unix systems. We intend to eventually contain all platform
differences in this library.

%package devel
Summary:        Development libraries for libuv
Requires:       %{name}%{?_isa} = %{epoch}:%{version}-%{release}

%description devel
Development libraries for libuv

%package static
Summary:        Platform layer for node.js - static library
Requires:       %{name}-devel%{?_isa} = %{epoch}:%{version}-%{release}

%description static
Static library (.a) version of libuv.


%prep
%autosetup -n %{name}-v%{version} -p1

%build
./autogen.sh
%configure --disable-silent-rules
%make_build

%install
%make_install
rm -f %{buildroot}%{_libdir}/libuv.la

mkdir -p %{buildroot}%{_libdir}/libuv/
install -Dm0644 -t %{buildroot}%{_libdir}/libuv/ %{SOURCE3}

%check
%if %{with tests}
%make_build check
%endif

%ldconfig_scriptlets

%files
%doc README.md AUTHORS CONTRIBUTING.md MAINTAINERS.md SUPPORTED_PLATFORMS.md
%doc ChangeLog
%license LICENSE
%{_libdir}/%{name}.so.*
%{_libdir}/libuv/libuv.abignore

%files devel
%{_libdir}/%{name}.so
%{_libdir}/pkgconfig/%{name}.pc
%{_includedir}/uv.h
%{_includedir}/uv/

%files static
%{_libdir}/%{name}.a

%changelog
* Thu Jan 19 2023 Fedora Release Engineering <releng@fedoraproject.org> 1:1.44.2-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_38_Mass_Rebuild

* Thu Jul 21 2022 Fedora Release Engineering <releng@fedoraproject.org> 1:1.44.2-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_37_Mass_Rebuild

* Wed Jul 13 2022 Stephen Gallagher <sgallagh@redhat.com> 1:1.44.2-1
- Update to libuv 1.44.2

* Thu Mar 10 2022 Stephen Gallagher <sgallagh@redhat.com> 1:1.44.1-1
- Update to 1.44.1 to address regression

* Tue Mar 08 2022 Stephen Gallagher <sgallagh@redhat.com> 1:1.44.0-1
- Update to 1.44.0

* Thu Jan 20 2022 Fedora Release Engineering <releng@fedoraproject.org> 1:1.43.0-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_36_Mass_Rebuild

* Wed Jan 05 2022 Stephen Gallagher <sgallagh@redhat.com> 1:1.43.0-2
- Also remove udp_multicast_join6 test

* Wed Jan 05 2022 Stephen Gallagher <sgallagh@redhat.com> 1:1.43.0-1
- Update to 1.43.0

* Thu Sep 02 2021 Stephen Gallagher <sgallagh@redhat.com> 1:1.42.0-2
- Drop use of rpmautospec for the release field

* Tue Aug 31 2021 Stephen Gallagher <sgallagh@redhat.com> 1:1.42.0-1
- Update to 1.42.0

* Thu Jul 22 2021 Fedora Release Engineering <releng@fedoraproject.org> 1:1.41.1-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_35_Mass_Rebuild

* Fri Jul 09 2021 Stephen Gallagher <sgallagh@redhat.com> 1:1.41.1-1
- idna: fix OOB read in punycode decoder

* Fri Feb 19 2021 Stephen Gallagher <sgallagh@redhat.com> 1:1.41.0-2
- Update package.cfg for rawhide rename

* Fri Feb 19 2021 Stephen Gallagher <sgallagh@redhat.com> 1:1.41.0-1
- Update to 1.41.0

* Tue Jan 26 2021 Fedora Release Engineering <releng@fedoraproject.org> 1:1.40.0-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_34_Mass_Rebuild

* Tue Jan 05 2021 Tom Stellard <tstellar@redhat.com> 1:1.40.0-2
- Add BuildRequires: make

